HYPOT(3)

NAME
hypot - euclidean distance function

SYNOPSIS
#include <math.h>
double
hypot(double x, double y);
long double
hypotl(long double x, long double y);
float
hypotf(float x, float y);

DESCRIPTION
The hypot() function computes the sqrt(x*x+y*y) without undue overflow or underflow.

SPECIAL VALUES
hypot(x, y) , hypot(y, x) , and hypot(x, -y) are equivalent.

hypot(x, +-0) is equivalent to fabs(x).

hypot(+-infinity, y) returns +infinity even if y is a NaN.

SEE ALSO
cabs(3), math(3), sqrt(3)

STANDARDS
The hypot() function conforms to ISO/IEC 9899:2011.